Results 1 to 10 of 10

Thread: Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

  1. #1
    Join Date
    May 2005
    Location
    Istanbul
    Beans
    255
    Distro
    Ubuntu

    Question Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

    Hello,

    I get this error in terminal when I run heroes3: "Couldn't open audio: "

    It's patched:

    Code:
     heroes3 -v
    Heroes of Might & Magic III 1.3.1a
    Built with glibc-2.1 on x86
    I am not sure but I guess this issue can be related with OSS. I am using Ubuntu 10.10. I've tried to run the game with "padsp heroes3" command but it didn't change anything.

    Any suggestions other than using Ubuntu 10.04, please?

  2. #2
    Join Date
    Jan 2011
    Beans
    1

    Re: Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

    I have the same problem. I think sound doesn't work because Heroes using OSS as sound system, but Ubuntu use pulseaudio. Now we have a question, how to solve this sound problem ?? Please anybody help!!

  3. #3
    Join Date
    Sep 2007
    Beans
    60

    Re: Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

    Not sure if anyone wants to know the solution to the sound problems, but here goes (I understand most threads on the subject are months, if not years old).

    This was winding me up to no end recently. I tried more or less everything without tearing the kernel apart, but finally found a rather simple and elegant solution...

    First of, download the compatibility pack I've uploaded from:

    http://www.megaupload.com/?d=AQZAG5Y0

    (If anyone could host this on a more permanent basis, that would be ideal!)

    Next, extract and place in:

    Code:
    /usr/local/lib
    So, if you "ls" /usr/local/lib you should see the folder "Loki_Compat" and a python* one.

    To launch the game;

    Code:
    LD_PRELOAD=/usr/local/lib/Loki_Compat/libstdc++-3-libc6.2-2-2.10.0.so:/usr/local/lib/Loki_Compat/libsmpeg-0.4.so.0.1.3:/usr/local/lib/Loki_Compat/libsmjpeg-0.2.so.0:/usr/local/lib/Loki_Compat/libSDL_mixer-1.2.so.0 '/location/of/heroes3.dynamic' -w
    Where "/location/of/heroes3.dynamic" is the location of heroes3.dynamic (not the default heroes3)

    The -w will run the game windowed, which I suggest doing to make sure it'll work, it can be removed after if you'd rather play full screen.

    I hope someone reads this and it helps at least one person! I'd always rather play the game native than through wine!

    (this was tested on linux mint julia on two separate eee pc 901)

  4. #4
    Join Date
    Mar 2011
    Beans
    1

    Re: Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

    Many thanks!
    It works fine for me! Now you know it was usefull for me at least!
    I just had to change the version numbers of libsmjpeg and libSDL_mixer in the command line to launch the game :
    Code:
    LD_PRELOAD=/usr/local/lib/Loki_Compat/libstdc++-3-libc6.2-2-2.10.0.so:/usr/local/lib/Loki_Compat/libsmpeg-0.4.so.0.1.3:/usr/local/lib/Loki_Compat/libsmjpeg-0.2.so.0.0.1:/usr/local/lib/Loki_Compat/libSDL_mixer-1.2.so.0.2.5 /usr/local/games/Heroes3/heroes3.dynamic -w
    Thanks again!

  5. #5
    Join Date
    Mar 2008
    Beans
    241

    Re: Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

    anyone knows where I can find the compatibility pack ? the link became invalid ...

  6. #6
    Join Date
    Aug 2011
    Beans
    1

    Re: Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

    Quote Originally Posted by perito View Post
    anyone knows where I can find the compatibility pack ? the link became invalid ...
    I had the same issue when trying to play and I found the compatibility libs here:

    http://www.swanson.ukfsn.org/loki/

  7. #7
    Join Date
    Feb 2012
    Beans
    1

    Re: Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

    Hi,

    I've been trying to run Heroes3 with sound since yesterday, and eventually I tried the solution explained in this thread. Problem is, I don't have a "heroes3.dynamic" file anywhere... Did I miss something?

    Thx

  8. #8
    Join Date
    Oct 2011
    Beans
    55

    Re: Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

    Now the audio is fine, but if I launch the game in full screen, its out of range.. How could I change resolution, or refresh rate?

  9. #9
    Join Date
    Sep 2009
    Beans
    3

    Re: Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

    Quote Originally Posted by crimilde View Post
    I had the same issue when trying to play and I found the compatibility libs here:

    http://www.swanson.ukfsn.org/loki/

    Superb!

    To conclude the installation of HOMM3 on ubuntu 12.10 or newer or earlier a bit:

    1. Mount the god damn iso or copy the installation contents to /path/somewhere

    2. ~/path/HOMM3_setup/linux32 bash setup.sh
    or
    ~/path/HOMM3_setup/linux32 sh setup.sh
    perhaps even without "linux32" depending on your configuration. I for instance had to use it.

    3. To update: (relevant thread - http://wtanaka.com/node/7641)

    wget ftp://mirrors.dotsrc.org/lokigames/u...nified-x86.run

    _POSIX2_VERSION=199209 ./heroes3-1.3.1a-unified-x86.run --keep

    Download manually http://downloads.sourceforge.net/gol...fix-0.1.tar.gz

    unzip the archive of the patch fix and copy:

    cp Loki_patch-fix/fixedpatch heroes3-1.3.1a-unified-x86/bin/Linux/x86/loki_patch

    linux32 bash heroes3-1.3.1a-unified-x86/update.sh

    4. NO SOUND

    Download old libraries and unzip: http://www.swanson.ukfsn.org/loki/

    cd Heroes3
    cp /path/Loki_Compat /path/Heroes3
    LD_PRELOAD=Loki_Compat/libstdc++-3-libc6.2-2-2.10.0.so:Loki_Compat/libsmpeg-0.4.so.0.1.3:Loki_Compat/libsmjpeg-0.2.so.0.0.1:Loki_Compat/libSDL_mixer-1.2.so.0.2.5 /home/user/Games/Heroes3/heroes3.dynamic
    add "-w" to the end of last line to use windowed mode.

    I didn't have problems with resolution.

    Using Ubuntu Studio 12.10 x86_64 with kernel 3.8.1 with latest AMD official 13.1 videocard drivers.

    Relevant threads:

    http://ubuntuforums.org/showthread.php?t=1643092

    http://ubuntuforums.org/showthread.php?t=1947686

    To update kernel and videocard drivers easily:

    http://www.upubuntu.com/2013/02/inst...kernel-38.html

    http://www.upubuntu.com/2013/01/amd-...-131-adds.html

  10. #10
    Join Date
    Feb 2008
    Location
    Texas
    Beans
    14,757
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Audio problem with Heroes of Might and Magic 3 on Ubuntu 10.10

    If a post is older than a year or so and hasn't had a new reply in that time, instead of replying to it, create a new thread. In the software world, a lot can change in a very short time, and doing things this way makes it more likely that you will find the best information. You may link to the original discussion in the new thread if you think it may be helpful.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •